Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.yaac.osm
Enum Boundary

    java.lang.Object
      java.lang.Enum<Boundary>
          org.ka2ddo.yaac.osm.Boundary

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Boundary>

    public enum Boundary

extends java.lang.Enum<Boundary>

Supported types of the OSM boundary="*" attribute. See the definition of boundary on the OpenStreetMap wiki.

Enum Constant Summary
`administrative`
`historic`
`landuse`
`maritime`
`national_park`
`neighborhood`
`protected_area`
`subdivision`
`user_defined`

Method Summary
`static Boundary` | `value(java.lang.String name)` Get the enum value associated with the string name specified.
`static Boundary` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Boundary[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
`WayType` | `wayType()` Report the WayType for rendering this type of Way.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### user_defined

    public static final Boundary user_defined

### landuse

    public static final Boundary landuse

### subdivision

    public static final Boundary subdivision

### historic

    public static final Boundary historic

### neighborhood

    public static final Boundary neighborhood

### administrative

    public static final Boundary administrative

### maritime

    public static final Boundary maritime

### national_park

    public static final Boundary national_park

### protected_area

    public static final Boundary protected_area

Method Detail

### values

    public static Boundary[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Boundary c : Boundary.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Boundary valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### wayType

    public WayType wayType()

  Report the WayType for rendering this type of Way.

  Returns:
    WayType

### value

    public static Boundary value(java.lang.String name)

  Get the enum value associated with the string name specified.

  Parameters:
    `name` - String to convert into an Enum
  Returns:
    Boundary for the string name, or null if no match

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD